module ECUtils
  class ECHelpers
  	
  	@@instance = ECHelpers.new 
    
    def self.instance
      @@instance
    end

    def save_used_phone_number_to_file(phone_number)
      File.open('used_phone_numbers.txt', 'a') do |f|
        f << "#{phone_number}\n"
      end
    end

    def get_used_phone_number_from_file
      File.readlines('used_phone_numbers.txt').first.gsub(/\s+/, "")
    end

    def save_used_card_to_file(card_number)
      File.open('used_cards.txt', 'a') do |f|
        f << "#{card_number}\n"
      end
    end

    def get_used_card_from_file
      File.readlines('used_cards.txt').first.gsub(/\s+/, "")
    end

    def is_app_opened
      unless File.file?('app_opened.txt')
        return false
      else
        if File.readlines('app_opened.txt').last.gsub(/\s+/, "").to_i == 1
          return true
        else
          return false
        end
      end
    end

    def set_app_opened(value)
      File.open('app_opened.txt', 'a') do |f|
        f << "#{value}\n"
      end
    end

    def set_changed_domain(value)
      File.open('domain_changed.txt', 'a') do |f|
        f << "#{value}\n"
      end
    end

    def is_changed_domain
      unless File.file?('domain_changed.txt')
        return false
      else
        if File.readlines('domain_changed.txt').last.gsub(/\s+/, "").to_i == 1
          return true
        else
          return false
        end
      end
    end
  end
end